Subject: Re: Error in `git': free(): invalid pointer (was Re: [PATCH] sequencer: improve config handling)

From: Kaartic Sivaraam <[email-masked]>
Date: Thu, 21 Dec 2017 22:44:10 +0530

On Thu, 2017-12-21 at 16:53 +0000, [email-masked] wrote:
> Hm, There is a problem with sequencer_remove_state() which does 
> 
> free(opts->gpg_sign)
> 
> however unless a gpg key was given on the commandline, opts->gpg is 
> initialized to "" which is statically allocated. 
> 
> This untested diff should fix that,

It did seem to. I don't get that error any more.

>  but I'm not sure if you're problem 
> is related to it

As the fix you suggested did work, I think the problem is related. Did
you have anything else in mind when you said you're not sure whether or
not it's related?

> also I'm on webmail so apologies if the patch is 
> mangled)
> 

No issues. The patch seems quite small :)

Thanks,
Kaartic